body {
    font-family: "Roboto", sans-serif;
    line-height: 1.5;
    color: #434455;
    background-color: #ffffff;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
}

ul,
ol {
    list-style: none;
    margin: 0;
    padding-left: 0;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

a {
    text-decoration: none;
}

address {
    font-style: normal;
}

button {
    cursor: pointer;
}

.container {
    max-width: 1158px;
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}

.section {
    padding-top: 120px;
    padding-bottom: 120px;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    white-space: nowrap;
    clip-path: inset(100%);
    clip: rect(0 0 0 0);
    overflow: hidden;
}

.section-title {
    font-size: 36px;
    line-height: 1.11;
    font-weight: 700;
    text-align: center;
    letter-spacing: 0.02em;
    text-transform: capitalize;
    color: #2e2f42;
}

.header {
    border-bottom: 1px solid #e7e9fc;
    box-shadow:
        0 1px 6px rgba(46, 47, 66, 0.08),
        0 1px 1px rgba(46, 47, 66, 0.16),
        0 2px 1px rgba(46, 47, 66, 0.08);
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-nav {
    display: flex;
    align-items: center;
}

.logo {
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    line-height: 1.17;
    font-weight: 700;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    color: #2e2f42;
    margin-right: 76px;
}

.logo-part {
    color: #4d5ae5;
}

.nav-list {
    display: flex;
    gap: 40px;
}

.nav-link {
    position: relative;
    display: block;
    padding: 24px 0;
    font-size: 16px;
    line-height: 1.5;
    font-weight: 500;
    letter-spacing: 0.02em;
    color: #2e2f42;
    transition-property: color;
    transition-duration: 250ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.nav-link:hover,
.nav-link:focus,
.nav-link.current {
    color: #404bbf;
}

.nav-link.current::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    height: 4px;
    border-radius: 2px;
    background-color: #404bbf;
}

.header-address {
    margin-left: auto;
}

.address-list {
    display: flex;
    gap: 40px;
}

.address-link {
    display: block;
    padding: 24px 0;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: #434455;
    transition-property: color;
    transition-duration: 250ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.address-link:hover,
.address-link:focus {
    color: #404bbf;
}

.hero {
    max-width: 1440px;
    margin: 0 auto;
    padding: 188px 0;
    background-color: #2e2f42;
    background-image:
        linear-gradient(rgba(46, 47, 66, 0.7), rgba(46, 47, 66, 0.7)),
        url("../images/hero-bg.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.hero-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hero-title {
    max-width: 496px;
    margin-bottom: 48px;
    font-size: 56px;
    line-height: 1.07;
    font-weight: 700;
    text-align: center;
    letter-spacing: 0.02em;
    color: #ffffff;
}

    .hero-button {
  display: block;
  margin: 0 auto;

  width: 169px;
  height: 56px;

  padding: 16px 32px;

  border-radius: 4px;
  border: none;

  background-color: #4d5ae5;
  color: #ffffff;

  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.15);

  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;

  transition-property: background-color;
  transition-duration: 250ms;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.hero-button:hover,
.hero-button:focus {
    background-color: #404bbf;
}

.features-list {
    display: flex;
    gap: 24px;
}

.features-item {
    width: calc((100% - 72px) / 4);
}

.features-icon-box {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 112px;
    margin-bottom: 8px;
    border: 1px solid #8e8f99;
    border-radius: 4px;
    background-color: #f4f4fd;
}

.features-icon {
    display: block;
    width: 64px;
    height: 64px;
    color: #2e2f42;
    fill: currentColor;
    stroke: currentColor;
    flex-shrink: 0;
}

.features-subtitle {
    margin-bottom: 8px;
    font-size: 20px;
    font-weight: 500;
    line-height: 1.2;
    letter-spacing: 0.02em;
    color: #2e2f42;
}

.features-text {
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: #434455;
}

.team {
    background-color: #f4f4fd;
}

.team-title {
    margin-bottom: 72px;
}

.team-list {
    display: flex;
    gap: 24px;
}

.team-item {
    width: calc((100% - 72px) / 4);
    background-color: #ffffff;
    border-radius: 0 0 4px 4px;
    box-shadow:
        0 2px 1px rgba(46, 47, 66, 0.08),
        0 1px 1px rgba(46, 47, 66, 0.16),
        0 1px 6px rgba(46, 47, 66, 0.08);
}

.team-content {
    padding: 32px 16px;
}

.team-subtitle {
    margin-bottom: 8px;
    font-size: 20px;
    line-height: 1.2;
    font-weight: 500;
    text-align: center;
    letter-spacing: 0.02em;
    color: #2e2f42;
}

.team-text {
    margin-bottom: 8px;
    font-size: 16px;
    line-height: 1.5;
    text-align: center;
    letter-spacing: 0.02em;
    color: #434455;
}

.social-list {
    display: flex;
    justify-content: center;
    gap: 24px;
}

.social-item {
    width: 40px;
    height: 40px;
}

.social-link {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: #4d5ae5;
    transition-property: background-color;
    transition-duration: 250ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.social-link:hover,
.social-link:focus {
    background-color: #404bbf;
}

.social-icon {
    fill: #f4f4fd;
    transition-property: fill;
    transition-duration: 250ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.portfolio-title {
    margin-bottom: 72px;
}

.portfolio-list {
    display: flex;
    flex-wrap: wrap;
    column-gap: 24px;
    row-gap: 48px;
}

.portfolio-item {
    width: calc((100% - 48px) / 3);
    transition-property: box-shadow;
    transition-duration: 250ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.portfolio-item:hover {
    box-shadow:
        0 1px 6px rgba(46, 47, 66, 0.08),
        0 1px 1px rgba(46, 47, 66, 0.16),
        0 2px 1px rgba(46, 47, 66, 0.08);
}

.portfolio-cover-wrap {
    position: relative;
    overflow: hidden;
}

.portfolio-overlay {
    position: absolute;
    top: 0;
    left: 0;
    padding: 40px 32px;
    width: 100%;
    height: 100%;
    background-color: #4d5ae5;
    color: #f4f4fd;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    transform: translateY(100%);
    transition-property: transform;
    transition-duration: 250ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.portfolio-item:hover .portfolio-overlay {
    transform: translateY(0%);
}

.portfolio-content {
    padding: 32px 16px;
    border: 1px solid #e7e9fc;
    border-top: none;
}

.portfolio-subtitle {
    margin-bottom: 8px;
    font-size: 20px;
    line-height: 1.2;
    font-weight: 500;
    letter-spacing: 0.02em;
    color: #2e2f42;
}

.portfolio-text {
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: #434455;
}

.footer {
    padding-top: 100px;
    padding-bottom: 100px;
    background-color: #2e2f42;
}

.footer-container {
    display: flex;
    align-items: baseline;
}

.footer-logo-box {
    margin-right: 120px;
}

.footer-logo {
    display: inline-block;
    margin-bottom: 16px;
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    line-height: 1.17;
    font-weight: 700;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    color: #4d5ae5;
}

.footer-logo-part {
    color: #f4f4fd;
}

.footer-text {
    max-width: 264px;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: #f4f4fd;
}

.footer-social-text {
    margin-bottom: 16px;
    font-size: 16px;
    line-height: 1.5;
    font-weight: 500;
    letter-spacing: 0.02em;
    color: #ffffff;
}

.footer-social-list {
    display: flex;
    gap: 16px;
}

.footer-social-item {
    width: 40px;
    height: 40px;
}

.footer-social-link {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: #4d5ae5;
    transition-property: background-color;
    transition-duration: 250ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.footer-social-link:hover,
.footer-social-link:focus {
    background-color: #31d0aa;
}

.footer-social-icon {
    fill: #f4f4fd;
}